summaryrefslogtreecommitdiffstats
path: root/diagnostics
diff options
context:
space:
mode:
authorEthan P <eth-p+git@hidden.email>2020-02-23 14:28:57 -0800
committerDavid Peter <sharkdp@users.noreply.github.com>2020-02-28 08:03:13 +0100
commitebe475247c736db09e8d8a3af1aa203419b95972 (patch)
treede1a044617e140336316b20880024e267494c291 /diagnostics
parent63f6343cf137b97dc39f84c1a2312e83cc0ba32e (diff)
Change consent banner (and fix tput) in info.sh
Diffstat (limited to 'diagnostics')
-rwxr-xr-xdiagnostics/info.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/diagnostics/info.sh b/diagnostics/info.sh
index 32875200..f92c594c 100755
--- a/diagnostics/info.sh
+++ b/diagnostics/info.sh
@@ -87,9 +87,10 @@ _ask_module() {
cat 1>&2 <<EOF
--------------------------------------------------------------------------------
-This script will collect information to help assist in issue resolution.
-You will be provided with a description of the data collected, and will be
-offered the opportunity to give consent for each piece of information collected.
+This script runs some harmless commands to collect information about your
+system and bat configuration. It will give you a small preview of the commands
+that will be run, and ask consent before running them. Once completed, it will
+output a small report that you can review and copy into the issue description.
--------------------------------------------------------------------------------
EOF
@@ -113,7 +114,7 @@ EOF
printf "\n" 1>&2
local response
while true; do
- _tput cup "$(( $(tput lines 2>/dev/null || echo 22) - 1 ))"
+ _tput cup "$(( $(tput lines || echo 22) - 2 ))"
_tput el
read -er -p "Collect $(sed 's/_/ /' <<< "$1") data? [Y/n] " response
case "$response" in